---
schema_version: "1"
id: ed882f5a318b161c8ca340f7377fae56fa2b0923eec559c5ed246916ff9889fc
title: Create Records Using Specific sObject Quick Actions
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-sobject-quickactions-specific-action-post.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-sobject-quickactions-specific-action-post.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 8a8c56c32e3f6fd9eb7fc1a661edb515ca6042fa0604f5adb4a4c75b08ecf306
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Create Records Using Specific sObject Quick Actions

Creates a record via the specified quick action based on the field values included in the request body. This resource is available in REST API version 28.0 and later.

When working with actions, also refer to [Quick Actions](https://developer.salesforce.com/docs/platform/api-rest/guide/resources-quickactions.md).

## Syntax

**URI:** `/services/data/vXX.X/sobjects/sObject/quickActions/actionName`

**Formats:** JSON, XML

**HTTP Method:** POST

**Authentication:** `Authorization: Bearer token`

**Parameters:** None required

## Example

**Example Request**

```nolang
curl -X POST https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Account/quickActions/CreateContact -H 'Authorization: Bearer token -H "Content-Type: application/json" -d @newcontact.json'
```

**Example Request Body**

```nolang
{

   "contextId" : "001D000000JRSGf",
   "record" : { "LastName" : "Smith" }

}
```

